### Enumeration

# Clutter LongPressState

#### Declaration

    enum Clutter.LongPressState

#### Description [src]

The states for the `ClutterClickAction::long-press` signal.

#### Members

`CLUTTER_LONG_PRESS_QUERY`

  Queries the action whether it supports long presses.

  - Value: `0`
  - Available since: 16
`CLUTTER_LONG_PRESS_ACTIVATE`

  Activates the action on a long press.

  - Value: `1`
  - Available since: 16
`CLUTTER_LONG_PRESS_CANCEL`

  The long press was cancelled.

  - Value: `2`
  - Available since: 16